# $Revision: 1.44 $, $Date: 2006/08/17 18:47:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	EN-Inflect
Summary:	Lingua::EN::Inflect - convert singular to plural - select "a" or "an"
Summary(pl):	Lingua::EN::Inflect - konwersja liczby pojedynczej na mnog z wyborem "a" lub "an"
Name:		perl-Lingua-EN-Inflect
Version:	1.89
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca864087a32754a8185d30fa677121ea
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The exportable subroutines of Lingua::EN::Inflect provide plural
inflections, "a"/"an" selection for English words, and manipulation of
numbers as words

%description -l pl
Eksportowalne procedury Lingua::EN::Inflect umoliwiaj konwersj
pomidzy liczb pojedyncz a mnog z wyborem "a"/"an" dla wyrazw w
jzyku angielskim oraz manipulacje na wielu wyrazach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/Lingua/EN/Inflect

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Lingua/EN/Inflect
%{perl_vendorlib}/Lingua/EN/Inflect.pm
%attr(755,root,root) %{perl_vendorlib}/Lingua/EN/demo_NO.pl
%attr(755,root,root) %{perl_vendorlib}/Lingua/EN/demo_NUM.pl
%attr(755,root,root) %{perl_vendorlib}/Lingua/EN/demo_PL.pl
%attr(755,root,root) %{perl_vendorlib}/Lingua/EN/demo_eq.pl
%attr(755,root,root) %{perl_vendorlib}/Lingua/EN/demo_inflect.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-EN-Inflect.spec,v $
Revision 1.44  2006/08/17 18:47:22  migo
- add Inflect dir to package, rel 2

Revision 1.43  2006/08/13 15:55:57  migo
- up to 1.89

Revision 1.42  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.41  2004/11/03 22:30:29  paladine
- formatting

Revision 1.40  2004/06/05 18:10:42  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.39  2004/05/07 00:38:53  ankry
- rel. 5

Revision 1.38  2004/05/06 18:20:28  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/03 23:10:22  ankry
- summary/desc, rel. 4

Revision 1.36  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.35  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.34  2004/04/20 23:59:32  ankry
- ported to new bconds

Revision 1.33  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.32  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.31  2003/08/18 08:08:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 19:37:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:35:18  ankry
- massive attack: change CPAN URLs

Revision 1.24  2002/09/14 22:30:28  ankry
- added tests, translations
- fixed attributes, typos
- release 2

Revision 1.23  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.22  2002/07/11 08:00:47  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:47:51  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:17:45  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:28:22  depesz
adapterized

Revision 1.15  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/05/06 16:38:52  mis
- autoupdated to 1.87

Revision 1.12  2001/04/17 12:11:32  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:28:30  kloczek
- updated to 1.86.

Revision 1.9  2001/01/11 01:42:26  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:57:59  pius
- updated to 1.85

Revision 1.2  1999/11/05 19:27:21  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
